public static interface WsEndpointBuilderFactory.WsBuilders
| Modifier and Type | Method and Description |
|---|---|
default WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWs(String path)
AHC Websocket (camel-ahc-ws)
To exchange data with external Websocket servers using Async Http
Client.
|
default WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWs(String scheme,
String path)
AHC Websocket (camel-ahc-ws)
To exchange data with external Websocket servers using Async Http
Client.
|
default WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWss(String path)
AHC Secure Websocket (Secure) (camel-ahc-ws)
To exchange data with external Websocket servers using Async Http
Client.
|
default WsEndpointBuilderFactory.WsEndpointBuilder ahcWs(String path)
ahc-ws:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathdefault WsEndpointBuilderFactory.WsEndpointBuilder ahcWss(String path)
ahc-wss:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathdefault WsEndpointBuilderFactory.WsEndpointBuilder ahcWs(String scheme, String path)
Apache Camel